# Diagrams with Basic Flows

The page is a visual guide to the fundamental operations and processes implemented by a GeoPard API consumer. This page comprises diagrams that succinctly illustrate the flows for crucial tasks. Each diagram captures the event-driven nature of GeoPard's API, demonstrating how various entities interact and respond to changes in real-time, thereby providing a comprehensive understanding of the API's workings.

1. [Field Registration](/geopard-tutorials/api-docs/diagrams-with-basic-flows/1.-field-registration.md)
2. [GraphQL Subscription](/geopard-tutorials/api-docs/diagrams-with-basic-flows/2.-graphql-subscription.md)
3. [Grep Satellite Imagery](/geopard-tutorials/api-docs/diagrams-with-basic-flows/3.-get-satellite-imagery.md)
4. [Upload Soil | AsApplied | Yield Datasets](/geopard-tutorials/api-docs/diagrams-with-basic-flows/4.-upload-soil-or-asapplied-or-yield-datasets.md) including Proprietary Machinery Data like ISOXML
5. [Execute Equations](/geopard-tutorials/api-docs/diagrams-with-basic-flows/5.-execute-equations.md)
6. [Generate ZonesMap](/geopard-tutorials/api-docs/diagrams-with-basic-flows/6.-generate-zonesmap.md)
7. [Download Gridded Data](/geopard-tutorials/api-docs/diagrams-with-basic-flows/7.-download-gridded-data.md)
8. [Download Original Data](/geopard-tutorials/api-docs/diagrams-with-basic-flows/8.-download-original-data.md)
9. Render Satellite Imagery\*

{% hint style="info" %}
For the diagrams marked with \* (ex: *Render Satellite Imagery\**), the GeoPard capabilities are in place and the description is coming soon.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/diagrams-with-basic-flows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
